import request from "@/utils/httpRequest";
import { SYS_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/myCalendar/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (id) {
		return request({
			url: prefix + "/myCalendar/del",
			method: "delete",
			params: { id: id },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/myCalendar/queryById",
			method: "get",
			params: { id: id },
		});
	},

	drag: function (params) {
		return request({
			url: prefix + "/myCalendar/drag",
			method: "put",
			params: params,
		});
	},

	resize: function (params) {
		return request({
			url: prefix + "/myCalendar/resize",
			method: "put",
			params: params,
		});
	},

	list: function () {
		return request({
			url: prefix + "/myCalendar/findList",
			method: "get",
		});
	},
};
